<ion-toolbar>
  <ion-buttons slot="end">
    <ion-button (click)="presentActionSheet()">
      <ion-icon name="options-outline"></ion-icon>
    </ion-button>
  </ion-buttons>
</ion-toolbar>
<ion-content class="ion-padding">
  <ion-label class="main-title" >Actividad</ion-label>
  <ion-list lines="none">
      <ion-item-group *ngIf="cargaActiva !== null" class="cargaActivaItem">
        <div style="display:flex;flex-direction:column">
          <ion-label class="sub-title" style="padding-top: 30px;">Cargas activas</ion-label>
          <ion-item color="carga-activa" style="padding-top: 30px;" class="redondo">
            <app-carga
            [carga]="cargaActiva.carga"
            [estacion]="cargaActiva.estacion"
            ></app-carga>
          </ion-item>
        </div>
      </ion-item-group>
      <ion-card *ngIf="cargaActiva === null" class="ion-padding">
        <ion-card-header style="display: flex; flex-direction:column" class="ion-align-items-center">
          <ion-img
          style="width:100px;"
          src="assets/img/kilometraje.png">
          </ion-img>
          <ion-card-title
          class="ion-text-center">
          Sin ninguna carga activa
        </ion-card-title>
        </ion-card-header>
        <ion-card-content class="ion-text-center" style="font-size: 14px;">
          Asegúrate de tener tu tanque lleno para trasladarte a donde quieras sin ninguna preocupación
        </ion-card-content>
        <ion-button size="large" expand="block" routerLink="../carga">
          Realizar carga
        </ion-button>
      </ion-card>
  </ion-list>

  <ion-list lines="none">
    <ion-item-group  *ngIf="pedidosAnterioresList.length >= 1">
      <ion-label class="sub-title" style="padding-top: 30px;">Cargas anteriores</ion-label>
      <ion-item  *ngFor="let pedido of pedidosAnterioresList; index as i" href="#">
        <app-carga
        [carga]="pedido.carga"
        [estacion]="pedido.estacion"
        ></app-carga>
      </ion-item>
    </ion-item-group>
    <ion-item-group>
      <ion-card *ngIf="pedidosAnterioresList.length === 0 && cargaActiva === null"  class="ion-padding">
        <ion-card-title class="ion-text-center">
          No hay cargas anteriores
        </ion-card-title>
        <ion-button size="large" expand="block" routerLink="carga">
          Realizar mi primer carga
        </ion-button>
      </ion-card>
    </ion-item-group>
  </ion-list>
</ion-content>
